#version 330 core

#define float2 vec2
#define float3 vec3
#define float4 vec4

in float2 texCoord;
in float4 vertexFragColor;
out float4 fragColor;
uniform sampler2D texture0;
uniform float4 color = float4(0,0,0,1);
uniform float time = 1.0;
void main()
{
   float pixelWidth = 1.0/512.0;


   
    float2 coord = texCoord;
    float2 screenCoords = coord;
		coord.x = coord.x*2.5;
	   float x = floor(coord.x/pixelWidth)*pixelWidth + pixelWidth/2.0;
	float y = floor(coord.y/pixelWidth)*pixelWidth + pixelWidth/2.0;

   


    vec4 color = texture(texture0, vec2(y*5, .98));
	color=vec4(color.r,color.r*0.8470588,color.r*0.0039,.1);
	// color=vec4(color.r,color.r,color.r,clamp(color.r*1.5,0.0,0.75));
    fragColor = color*2;
}
